/*
 * Copyright 2012-2018 Morgan McMillian <gilag@monkeystew.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import bb.cascades 1.0

Page {
    ScrollView {
        Container {
            layout: DockLayout {
            }
            horizontalAlignment: HorizontalAlignment.Fill
            Container {
                horizontalAlignment: HorizontalAlignment.Fill
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredHeight: 35.0
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        text: "Renamed Todo"
                        textStyle.fontSize: FontSize.Large
                    }
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        text: "v" + appversion
                        textStyle.fontSize: FontSize.Small
                    }
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        text: "Copyright (c)  Morgan McMillian  2012-2018"
                        textStyle.fontSize: FontSize.XSmall
                    }
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        text: "All rights reserved."
                        textStyle.fontSize: FontSize.XSmall
                    }
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredHeight: 40.0
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    Label {
                        text: "https://monkeystew.org/renamed-todo/"
                        textStyle.fontSize: FontSize.XSmall
                        content.flags: TextContentFlag.ActiveText
                    }
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredHeight: 30.0
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredHeight: 30.0
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredHeight: 30.0
                }
                Divider {
                
                }
                Container {
                    horizontalAlignment: HorizontalAlignment.Center
                    preferredHeight: 30.0
                }
                Container {
                    leftPadding: 10.0
                    rightPadding: 10.0
                    horizontalAlignment: HorizontalAlignment.Fill
                    Button {
                        text: "Email Support"
                        horizontalAlignment: HorizontalAlignment.Center
                        onClicked: {
                            _Taskslayer.getSupport(0)
                        }
                    }
                }
            
            }
        }
    }
}
