/*
 * Copyright 2012-2018 Morgan McMillian <gilag@monkeystew.com>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef LOCALFILE_H_
#define LOCALFILE_H_

#include <QDir>
#include <QFile>
#include <QDebug>
#include <QSettings>
#include <QTextStream>

class LocalFile {

public:
	LocalFile();
	virtual ~LocalFile();

	QStringList load() const;
	QStringList loadArchive() const;
	QString path() const;
	void save(const QStringList &data);
	void saveArchive(const QStringList &data);
	void setPath(const QString &path);
	void archive(const QStringList &data);

private:
	QDir dir;
	QString mPath;
	QString mFile;
	QString mDone;

};

#endif /* LOCALFILE_H_ */
